Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.msmqadapter.appconn
Interface MSMQClientApplication

All Known Implementing Classes:
  MSMQClientApplicationImpl

    public interface MSMQClientApplication

This interface defines the operations made available in Java Collaboration for the MSMQ.

Method Summary
`void` | `connect()` Creates the physical connection to the underlying EIS system.
`void` | `disconnect()` Closes the physical connection to the underlying EIS system.
`MSMQConfiguration` | `getEwayConfiguration()` Returns the MSMQConfiguration object.
`byte[]` | `getMsgBody()` Returns the MsgBody
`void` | `getMSMQMessage()`
`void` | `putMSMQMessage()`
`void` | `setMsgBody(byte[] MsgBody)` Sets the MsgBody

Method Detail

### setMsgBody

    void setMsgBody(byte[] MsgBody)

  Sets the MsgBody

  Parameters:
    `attrname` -

### getMsgBody

    byte[] getMsgBody()

  Returns the MsgBody

  Returns:
    MsgBody

### getMSMQMessage

    void getMSMQMessage()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### putMSMQMessage

    void putMSMQMessage()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### connect

    void connect()
                 throws com.stc.connector.appconn.common.ApplicationException

  Creates the physical connection to the underlying EIS system.

  Throws:
    `com.stc.connector.appconn.common.ApplicationException`

### disconnect

    void disconnect()
                    throws com.stc.connector.appconn.common.ApplicationException

  Closes the physical connection to the underlying EIS system.

  Throws:
    `com.stc.connector.appconn.common.ApplicationException`

### getEwayConfiguration

    MSMQConfiguration getEwayConfiguration()

  Returns the MSMQConfiguration object.

  Returns:
    the MSMQConfiguration instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD